gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.TouchpadEvent

Contents

- Exported types
- Methods
  - getDeltas
  - getGesturePhase
  - getNFingers
  - getPinchAngleDelta
  - getPinchScale

Description

An event related to a gesture on a touchpad device.

Unlike touchscreens, where the windowing system sends basic sequences of begin, update, end events, and leaves gesture recognition to the clients, touchpad gestures are typically processed by the system, resulting in these events.

Synopsis

- newtype TouchpadEvent = TouchpadEvent (ManagedPtr TouchpadEvent)
- class (BoxedPtr o, TypedObject o, IsDescendantOf TouchpadEvent o) => IsTouchpadEvent o
- toTouchpadEvent :: (MonadIO m, IsTouchpadEvent o) => o -> m TouchpadEvent
- touchpadEventGetDeltas :: (HasCallStack, MonadIO m, IsTouchpadEvent a) => a -> m (Double, Double)
- touchpadEventGetGesturePhase :: (HasCallStack, MonadIO m, IsTouchpadEvent a) => a -> m TouchpadGesturePhase
- touchpadEventGetNFingers :: (HasCallStack, MonadIO m, IsTouchpadEvent a) => a -> m Word32
- touchpadEventGetPinchAngleDelta :: (HasCallStack, MonadIO m, IsTouchpadEvent a) => a -> m Double
- touchpadEventGetPinchScale :: (HasCallStack, MonadIO m, IsTouchpadEvent a) => a -> m Double

# Exported types

newtype TouchpadEvent Source #

Memory-managed wrapper type.

Constructors

TouchpadEvent (ManagedPtr TouchpadEvent) |

#### Instances

Instances details

Eq TouchpadEvent Source # |
Instance details Defined in GI.Gdk.Objects.TouchpadEvent Methods (==) :: TouchpadEvent -> TouchpadEvent -> Bool Source # (/=) :: TouchpadEvent -> TouchpadEvent -> Bool Source #
BoxedPtr TouchpadEvent Source # |
Instance details Defined in GI.Gdk.Objects.TouchpadEvent Methods boxedPtrCopy :: TouchpadEvent -> IO TouchpadEvent Source # boxedPtrFree :: TouchpadEvent -> IO () Source #
ManagedPtrNewtype TouchpadEvent Source # |
Instance details Defined in GI.Gdk.Objects.TouchpadEvent Methods toManagedPtr :: TouchpadEvent -> ManagedPtr TouchpadEvent Source #
TypedObject TouchpadEvent Source # |
Instance details Defined in GI.Gdk.Objects.TouchpadEvent Methods glibType :: IO GType Source #
HasParentTypes TouchpadEvent Source # |
Instance details Defined in GI.Gdk.Objects.TouchpadEvent
type ParentTypes TouchpadEvent Source # |
Instance details Defined in GI.Gdk.Objects.TouchpadEvent type ParentTypes TouchpadEvent = '[Event]

class (BoxedPtr o, TypedObject o, IsDescendantOf TouchpadEvent o) => IsTouchpadEvent o Source #

Type class for types which can be safely cast to `TouchpadEvent`, for instance with `toTouchpadEvent`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf TouchpadEvent o) => IsTouchpadEvent o Source # |
Instance details Defined in GI.Gdk.Objects.TouchpadEvent

toTouchpadEvent :: (MonadIO m, IsTouchpadEvent o) => o -> m TouchpadEvent Source #

Cast to `TouchpadEvent`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, triggersContextMenu, unref.

#### Getters

getAxes, getAxis, getDeltas, getDevice, getDeviceTool, getDisplay, getEventSequence, getEventType, getGesturePhase, getHistory, getModifierState, getNFingers, getPinchAngleDelta, getPinchScale, getPointerEmulated, getPosition, getSeat, getSurface, getTime.

#### Setters

None.

## getDeltas

touchpadEventGetDeltas Source #

Arguments

:: (HasCallStack, MonadIO m, IsTouchpadEvent a) |
=> a | `event`: a touchpad event
-> m (Double, Double) |

Extracts delta information from a touchpad event.

## getGesturePhase

touchpadEventGetGesturePhase Source #

Arguments

:: (HasCallStack, MonadIO m, IsTouchpadEvent a) |
=> a | `event`: a touchpad event
-> m TouchpadGesturePhase | Returns: the gesture phase of `event`

Extracts the touchpad gesture phase from a touchpad event.

## getNFingers

touchpadEventGetNFingers Source #

Arguments

:: (HasCallStack, MonadIO m, IsTouchpadEvent a) |
=> a | `event`: a touchpad event
-> m Word32 | Returns: the number of fingers for `event`

Extracts the number of fingers from a touchpad event.

## getPinchAngleDelta

touchpadEventGetPinchAngleDelta Source #

Arguments

:: (HasCallStack, MonadIO m, IsTouchpadEvent a) |
=> a | `event`: a touchpad pinch event
-> m Double | Returns: the angle delta of `event`

Extracts the angle delta from a touchpad pinch event.

## getPinchScale

touchpadEventGetPinchScale Source #

Arguments

:: (HasCallStack, MonadIO m, IsTouchpadEvent a) |
=> a | `event`: a touchpad pinch event
-> m Double | Returns: the scale of `event`

Extracts the scale from a touchpad pinch event.